ImmutableNameNotFoundException (Tomcat API Documentation)
Keywords: org.apache.naming.resources.ImmutableNameNotFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources
Class ImmutableNameNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.naming.NamingException
                  javax.naming.NameNotFoundException
                      org.apache.naming.resources.ImmutableNameNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ImmutableNameNotFoundException

extends javax.naming.NameNotFoundException

Immutable exception to avoid useless object creation by the proxy context. This should be used only by the proxy context. Actual contexts should return properly populated exceptions.

Version:
  $Revision: 467222 $
Author:
  Remy Maucherat
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.naming.NamingException
`remainingName, resolvedName, resolvedObj, rootException`

Constructor Summary
`ImmutableNameNotFoundException()`

Method Summary
`void` | `appendRemainingComponent(java.lang.String name)`
`void` | `appendRemainingName(javax.naming.Name name)`
`void` | `setRemainingName(javax.naming.Name name)`
`void` | `setResolverName(javax.naming.Name name)`
`void` | `setRootCause(java.lang.Throwable e)`

Methods inherited from class javax.naming.NamingException
`getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setResolvedName, setResolvedObj, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImmutableNameNotFoundException

    public ImmutableNameNotFoundException()

Method Detail

### appendRemainingComponent

    public void appendRemainingComponent(java.lang.String name)

  Overrides:
    `appendRemainingComponent` in class `javax.naming.NamingException`

### appendRemainingName

    public void appendRemainingName(javax.naming.Name name)

  Overrides:
    `appendRemainingName` in class `javax.naming.NamingException`

### setRemainingName

    public void setRemainingName(javax.naming.Name name)

  Overrides:
    `setRemainingName` in class `javax.naming.NamingException`

### setResolverName

    public void setResolverName(javax.naming.Name name)

### setRootCause

    public void setRootCause(java.lang.Throwable e)

  Overrides:
    `setRootCause` in class `javax.naming.NamingException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.